View Issue Details

IDProjectCategoryView StatusLast Update
0004877Talerotherpublic2017-06-06 14:18
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PriorityhighSeveritytextReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004877: migrate to new contract-related terminology
DescriptionIn the new terminology, the frontend creates an "order", the HTTP PUTs it to the backends /propopsal endpoint, which returns the proposal corresponding to the order (with the merchant signature and missing fields in the order filled out.

With a HTTP GET on /proposal, the frontend can query proposals by transaction ID or proposal hash.

The wallet stores as a "contract" the proposal together with signed coins.

Also, "transaction_id" becomes "order_id", since it's used by the frontend to uniquely identify an order.

The transaction_id name might be reused in the future for negotiating instances of payments for the *same* proposal between the exchange and merchant. It's not part of the contract anymore.
TagsNo tags attached.

Relationships

related to 0004873 closedFlorian Dold Update contract fields 

Activities

Christian Grothoff

2017-03-02 08:00

manager   ~0011878

I thought this was already implemented. What's the status? (I fixed some related API docs today, sent you an e-mail about it).

Marcello Stanisci

2017-03-02 11:34

manager   ~0011882

Yes and no. The source code is ported, but _comments_ don't match
ported code yet, at least in the merchant backend.

And as of API/docs, I'm pretty sure they're still mainly obsolete.

What to do with this issue?

Marcello Stanisci

2017-05-02 09:39

manager   ~0012092

addressing remaining leftovers in merchant's and api's codebases.
There might be other parts in the whole Taler code having obsolete
names, but I think the current state is enough to close this never-ending bug.

Issue History

Date Modified Username Field Change
2017-02-01 15:18 Florian Dold New Issue
2017-02-02 08:42 Florian Dold Description Updated View Revisions
2017-02-26 03:06 Christian Grothoff Priority normal => high
2017-02-26 03:06 Christian Grothoff Severity minor => text
2017-02-26 03:06 Christian Grothoff Status new => confirmed
2017-02-26 03:06 Christian Grothoff Product Version => SVN HEAD
2017-03-02 08:00 Christian Grothoff Note Added: 0011878
2017-03-02 08:01 Christian Grothoff Assigned To => Marcello Stanisci
2017-03-02 08:01 Christian Grothoff Status confirmed => assigned
2017-03-02 08:01 Christian Grothoff Target Version => 0.3
2017-03-02 08:04 Christian Grothoff Relationship added related to 0004873
2017-03-02 11:34 Marcello Stanisci Note Added: 0011882
2017-05-02 09:39 Marcello Stanisci Status assigned => resolved
2017-05-02 09:39 Marcello Stanisci Resolution open => fixed
2017-05-02 09:39 Marcello Stanisci Note Added: 0012092
2017-05-03 02:16 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed